---
title: markerWidth
slug: Web/SVG/Attribute/markerWidth
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>markerWidth</code></strong> attribute represents the width of the viewport into which the {{SVGElement("marker")}} is to be fitted when it is rendered according to the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes.</p>

<p>Only one element is using this attribute: {{SVGElement("marker")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("length-percentage")}} | {{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>3</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>This value defines either an absolute or a relative width of the marker.<br>
 Relative values refer to the width specified via the {{SVGAttr("viewBox")}} and {{SVGAttr("preserveAspectRatio")}} attributes.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value defines the width of the marker in the units defined by the {{SVGAttr("markerUnits")}} attribute.</dd>
</dl>

<p>A value of zero disables rendering of the element and negative values are an error.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#MarkerWidthAttribute", "markerWidth")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Allowed percentage and number values.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#MarkerWidthAttribute", "markerWidth")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.marker.markerWidth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("marker")}}</li>
 <li>{{SVGAttr("markerHeight")}}</li>
 <li>{{SVGAttr("markerUnits")}}</li>
 <li>{{SVGAttr("viewBox")}}</li>
 <li>{{SVGAttr("preserveAspectRatio")}}</li>
</ul>
